> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /crexi/properties/search

> Search Crexi commercial properties for sale. Returns listing cards with id, name, status, property type, asking price, price per sqft, NOI, square footage, brokerage, image, latitude/longitude and property_url. Filter by property type and subtype, price, cap rate, square footage, price per sqft, acreage, units, occupancy, remaining lease term, lease structure, tenancy, tenant brand, tenant credit, class, listing status, opportunity zone, broker co-op, broker id and a geographic bounding box.

**Price:** 20 credits per 100 results



## OpenAPI

````yaml /openapi/real-estate.json post /api/crexi/properties/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/crexi/properties/search:
    post:
      tags:
        - /crexi
      summary: /crexi/properties/search
      description: >-
        Search Crexi commercial properties for sale. Returns listing cards with
        id, name, status, property type, asking price, price per sqft, NOI,
        square footage, brokerage, image, latitude/longitude and property_url.
        Filter by property type and subtype, price, cap rate, square footage,
        price per sqft, acreage, units, occupancy, remaining lease term, lease
        structure, tenancy, tenant brand, tenant credit, class, listing status,
        opportunity zone, broker co-op, broker id and a geographic bounding box.


        **Price:** 20 credits per 100 results
      operationId: __api_crexi_properties_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrexiPropertiesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CrexiPropertyCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CrexiPropertiesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        property_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/CrexiPropertyType'
              type: array
            - type: 'null'
        subtypes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        keywords:
          anyOf:
            - type: string
            - type: 'null'
        min_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        exclude_unpriced:
          type: boolean
          default: false
        min_cap_rate:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_cap_rate:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_sqft:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_sqft:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_price_per_sqft:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_price_per_sqft:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_acres:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_acres:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_units:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_units:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        unit_type:
          anyOf:
            - $ref: '#/components/schemas/CrexiUnitType'
            - type: 'null'
        min_occupancy:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        max_occupancy:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_remaining_term_years:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_remaining_term_years:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        lease_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/CrexiLeaseStructure'
              type: array
            - type: 'null'
        tenancies:
          anyOf:
            - items:
                $ref: '#/components/schemas/CrexiTenancy'
              type: array
            - type: 'null'
        tenants:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        tenant_credits:
          anyOf:
            - items:
                $ref: '#/components/schemas/CrexiTenantCredit'
              type: array
            - type: 'null'
        class_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/CrexiClassType'
              type: array
            - type: 'null'
        statuses:
          anyOf:
            - items:
                $ref: '#/components/schemas/CrexiListingStatus'
              type: array
            - type: 'null'
        broker_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        in_opportunity_zone:
          anyOf:
            - type: boolean
            - type: 'null'
        broker_co_op:
          anyOf:
            - type: boolean
            - type: 'null'
        latitude_min:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        latitude_max:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        longitude_min:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        longitude_max:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        sort_order:
          $ref: '#/components/schemas/CrexiSalesSortOrder'
          default: rank
        sort_direction:
          $ref: '#/components/schemas/CrexiSortDirection'
          default: Descending
        count:
          type: integer
          maximum: 1500
          minimum: 1
      type: object
      required:
        - count
    CrexiPropertyCard:
      properties:
        '@type':
          type: string
          default: CrexiPropertyCard
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        platform:
          anyOf:
            - type: string
            - type: 'null'
        property_types:
          items:
            type: string
          type: array
          default: []
        asking_price:
          anyOf:
            - type: number
            - type: 'null'
        price_per_sqft:
          anyOf:
            - type: number
            - type: 'null'
        square_footage:
          anyOf:
            - type: integer
            - type: 'null'
        net_operating_income:
          anyOf:
            - type: number
            - type: 'null'
        lease_term_years:
          anyOf:
            - type: number
            - type: 'null'
        remaining_term_years:
          anyOf:
            - type: number
            - type: 'null'
        investment_type:
          anyOf:
            - type: string
            - type: 'null'
        lot_size_acres:
          anyOf:
            - type: number
            - type: 'null'
        price_per_acre:
          anyOf:
            - type: number
            - type: 'null'
        brokerage_name:
          anyOf:
            - type: string
            - type: 'null'
        broker_logo:
          anyOf:
            - type: string
            - type: 'null'
        is_in_opportunity_zone:
          anyOf:
            - type: boolean
            - type: 'null'
        is_new:
          anyOf:
            - type: boolean
            - type: 'null'
        has_video:
          anyOf:
            - type: boolean
            - type: 'null'
        has_virtual_tour:
          anyOf:
            - type: boolean
            - type: 'null'
        has_om:
          anyOf:
            - type: boolean
            - type: 'null'
        has_flyer:
          anyOf:
            - type: boolean
            - type: 'null'
        image_count:
          anyOf:
            - type: integer
            - type: 'null'
        gallery_item_count:
          anyOf:
            - type: integer
            - type: 'null'
        offers_due_at:
          anyOf:
            - type: integer
            - type: 'null'
        activated_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        property_url:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/CrexiLocation'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CrexiPropertyType:
      type: string
      enum:
        - Retail
        - Multifamily
        - Office
        - Industrial
        - Hospitality
        - Mixed Use
        - Land
        - Self Storage
        - Mobile Home Park
        - Senior Living
        - Special Purpose
        - Note/Loan
        - Business for Sale
    CrexiUnitType:
      type: string
      enum:
        - Units
        - Keys
        - Beds
        - Pads
        - Pumps
    CrexiLeaseStructure:
      type: string
      enum:
        - Net
        - NNN
        - Absolute Net
        - Gross
        - Modified
        - Ground
    CrexiTenancy:
      type: string
      enum:
        - Vacant
        - Single
        - Multi
    CrexiTenantCredit:
      type: string
      enum:
        - Credit Rated
        - Corporate Guarantee
        - Franchisee
        - No Credit Rating
    CrexiClassType:
      type: string
      enum:
        - A
        - B
        - C
        - D
    CrexiListingStatus:
      type: string
      enum:
        - Contract Pending
        - Under Contract
    CrexiSalesSortOrder:
      type: string
      enum:
        - rank
        - price
        - capRate
        - sqFt
        - units
        - activatedOn
        - updatedOn
        - createdOn
    CrexiSortDirection:
      type: string
      enum:
        - Ascending
        - Descending
    CrexiLocation:
      properties:
        '@type':
          type: string
          default: CrexiLocation
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        county:
          anyOf:
            - type: string
            - type: 'null'
        state_code:
          anyOf:
            - type: string
            - type: 'null'
        state_name:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        full_address:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````